#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include "spw_usb_api.h"
#include "spw_config_library.h"
#include <mainwindowui.h>
#include <QDialog>
#include <QObject>
#include <QTimer>

class MainWindow : public QWidget
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    unsigned int getLinkStatus(unsigned char link);

    star_device_handle hDevice;     // Handle to the SpaceWire device
    bool isRunning;

    mainwindowui *UI;
    QTimer *time;

signals:
    void sendMessage(QString);

public slots:
    unsigned int Open();
    void startSpacewireTime();
    void sendOneTimecode();
    void sendOnePacketAndOneTimecode();
    void reTestSPWLink();
};

#endif // MAINWINDOW_H
